### A free/open-source library for quantitative finance

Classes
ql/cashflows/digitalcmscoupon.hpp File Reference

Cms-rate coupon with digital call/put option. More...

`#include <ql/cashflows/digitalcoupon.hpp>`
`#include <ql/cashflows/cmscoupon.hpp>`
`#include <ql/time/schedule.hpp>`
Include dependency graph for digitalcmscoupon.hpp:

## Classes

class | DigitalCmsCoupon
| Cms-rate coupon with digital digital call/put option. More...
class | DigitalCmsLeg
| helper class building a sequence of digital ibor-rate coupons More...

## Detailed Description

Cms-rate coupon with digital call/put option.